package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckWeightBatch;
//import com.steerinfo.dil.tmstruckweightbatch.model;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface TmstruckWeightBatchMapper extends IBaseMapper<TmstruckWeightBatch, BigDecimal> {


    @Select("select seq_tms_weight_batch.nextval from dual")
    BigDecimal weightBatchID();

    int updateFluMes(Map<String, Object> weightMap);

    int updateOmMes(Map<String, Object> weightMap);

    int updateAmsFluToNull(BigDecimal weightBatchId);

}